Package org.eclipse.emf.cdo.admin

# Class CDOAdminClientUtil

java.lang.Object
org.eclipse.emf.cdo.admin.CDOAdminClientUtil

public final class CDOAdminClientUtil extends Object
Various static methods that may help with CDO remote administration.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`DEFAULT_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`static CDOAdminClientManager`
`createAdminManager()`
`static CDOAdminClientManager`
`createAdminManager(org.eclipse.net4j.util.container.IManagedContainer container)`
`static CDOAdminClient`
`openAdmin(String url)`
`static CDOAdminClient`
`openAdmin(String url, long timeout)`
`static CDOAdminClient`
`openAdmin(String url, long timeout, org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_TIMEOUT

public static final long DEFAULT_TIMEOUT

See Also:
  - Constant Field Values

## Method Details

### openAdmin

public static CDOAdminClient openAdmin(String url)

### openAdmin

public static CDOAdminClient openAdmin(String url, long timeout)

### openAdmin

public static CDOAdminClient openAdmin(String url, long timeout, org.eclipse.net4j.util.container.IManagedContainer container)

### createAdminManager

public static CDOAdminClientManager createAdminManager()

### createAdminManager

public static CDOAdminClientManager createAdminManager(org.eclipse.net4j.util.container.IManagedContainer container)